
Katello - Bug #37077

Tracker # 37076 (New): make it possible to run seeds/migrations after foreman was fully migrated/seeded

undefined method `repository_url' for nil:NilClass

01/22/2024 08:17 AM - Evgeni Golov

Status: New   

Priority: Normal   

Assignee:    

Category:    

Target version: Katello 4.13.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

undefined method `repository_url' for nil:NilClass

/home/runner/work/katello/katello/katello/db/migrate/20211019192121_create_cdn_configuration.katel

lo.rb:26:in `block in up'

/home/runner/work/katello/katello/vendor/bundle/ruby/2.7.0/gems/activerecord-6.1.7.6/lib/active_re

cord/relation/delegation.rb:88:in `each'

/home/runner/work/katello/katello/vendor/bundle/ruby/2.7.0/gems/activerecord-6.1.7.6/lib/active_re

cord/relation/delegation.rb:88:in `each'

/home/runner/work/katello/katello/katello/db/migrate/20211019192121_create_cdn_configuration.katel

lo.rb:23:in `up'

History

#1 - 01/24/2024 06:50 PM - Partha Aji

- Target version set to Katello 4.12.0

- Triaged changed from No to Yes

#2 - 03/27/2024 01:18 PM - Quinn James

- Target version changed from Katello 4.12.0 to Katello 4.13.0
